<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="66dp">

        <ImageView
            android:id="@+id/avatar_account"
            android:contentDescription="@string/content_description_avatar_image"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_marginStart="8dp"
            android:layout_marginTop="8dp"
            android:layout_marginBottom="8dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/ic_account_circle_black_24dp"/>

        <TextView
            android:id="@+id/text_account_jid"
            style="@style/TextAppearance.AppCompat.Large"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:layout_marginTop="8dp"
            android:layout_marginEnd="8dp"
            android:singleLine="true"
            android:autoSizeTextType="uniform"
            android:autoSizeMinTextSize="8dp"
            android:autoSizeMaxTextSize="18dp"
            app:layout_constraintEnd_toStartOf="@+id/switch_account_enabled"
            app:layout_constraintStart_toEndOf="@+id/avatar_account"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="buzzlightyear@jabber.nasa.gov" />

        <TextView
            android:id="@+id/text_account_status"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            app:layout_constraintStart_toEndOf="@+id/avatar_account"
            app:layout_constraintTop_toBottomOf="@+id/text_account_jid"
            tools:text="Online" />

        <Switch
            android:id="@+id/switch_account_enabled"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:layout_marginEnd="8dp"
            android:layout_marginBottom="8dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</LinearLayout>